Security Error

An update to the Chrome browser caused an alert to appear when people are trying to use district webmail, along with several other district sites, in Chrome. The updated Chrome browser flags all secured (HTTPS) websites that don’t have a certificate that Google considers to be valid as unsecured.

The site will still work if you click advanced and then proceed, and is in fact encrypted and secure.  We’re working on updating our security certificate with a new registrar that will remove this error in Chrome.

If you continue to have trouble opening webmail or other district sites in Chrome, please switch to Firefox or Edge, or use Microsoft Outlook to access your email.